PHONOPY-BANDPLOT(1)

NAME
phonopy-bandplot - manual page for phonopy-bandplot 2.21.2

DESCRIPTION
usage: phonopy-bandplot [-h] [--hdf5] [--dmax DOS_MAX] [--dmin DOS_MIN]

[--dos DOS] [--dos-factor DOS_FACTOR]
    [--factor FACTOR] [--fmax F_MAX] [--fmin F_MIN] [--gnuplot] [-i PDOS_INDICES] [--legend] [--legacy] [--line] [-o OUTPUT_FILENAME] [--xlabel XLABEL] [--ylabel YLABEL] [--points POINTS] [-t TITLE] [filenames ...]

Phonopy bandplot command-line-tool

  positional arguments:

filenames
    Filenames of phonon band structure result: band.yaml or band.hdf5(with --hdf5)

  options:

-h, --help
    show this help message and exit

--hdf5
    Read HDF5 format

--dmax DOS_MAX
    Maximum DOS plotted (legacy plot only)

--dmin DOS_MIN
    Minimum DOS plotted (legacy plot only)

--dos DOS
    Read dos.dat type file and plot with band structure

--dos-factor DOS_FACTOR
    Factor to be multiplied with DOS (legacy plot only)

--factor FACTOR
    Conversion factor to favorite frequency unit

--fmax F_MAX
    Maximum frequency plotted

--fmin F_MIN
    Minimum frequency plotted

--gnuplot
    Output in gnuplot data style

-i PDOS_INDICES, --indices PDOS_INDICES
    Indices like 1 2, 3 4 5 6... (legacy plot only)

--legend
    Show legend

--legacy
    Plot in legacy style

--line, -l
    Vertical line is drawn at between paths (legacy plot only)

-o OUTPUT_FILENAME, --output OUTPUT_FILENAME
    Output filename of PDF plot

--xlabel XLABEL
    Specify x-label (legacy plot only)

--ylabel YLABEL
    Specify y-label (legacy plot only)

--points POINTS
    Draw points (o, '*', v, ^, x, p, d etc) (legacy plot only)

-t TITLE, --title TITLE
    Title of plot (legacy plot only)